I am using:
Erlang R16B03 (erts-5.10.4) [source] [64-bit] [async-threads:10] [hipe] [kernel-poll:false]

I tried with CentOS 6.4 and 6.5 and in both I get this:

"/usr/local/bin/erlc" -Werror  -pa ../../yaws -I ../include -o ../ebin yaws_websockets.erl
compile: warnings being treated as errors
yaws_websockets.erl:1258: crypto:sha/1 is deprecated and will be removed in in a future release; use crypto:hash/2
make[1]: *** [../ebin/yaws_websockets.beam] Error 1
make[1]: Leaving directory `/usr/local/src/yaws-1.98/src'
make: *** [all] Error 1

Regards,
Takeshi